Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 627874 - "Macro Delimiters" should be disabled when creating new configuration directory
Summary: "Macro Delimiters" should be disabled when creating new configuration directory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 540
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks: sat540-canfix
TreeView+ depends on / blocked
 
Reported: 2010-08-27 09:17 UTC by Pavel Novotny
Modified: 2010-10-28 15:02 UTC (History)
2 users (show)

Fixed In Version: spacewalk-java-1.2.38-1.el5.noarch.rpm
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 15:02:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Novotny 2010-08-27 09:17:00 UTC
Description of problem:
When creating new configuration directory in WebUI, "Macro Delimiters" should be disabled.

Version-Release number of selected component (if applicable):
5.4.0

How reproducible:
Always

Steps to Reproduce:
1. Configuration -> Configuration Channels -> Select Channel -> Add Files -> Create File
-or-
SDC -> Configuration -> Add Files -> Create File
2. Select File Type: Directory
3.
  
Actual results:
"Macro Delimiters" are enabled.

Expected results:
"Macro Delimiters" should be disabled.

Additional info:
Tested on FF 3.6.7 and Opera 10.60. 
In Google Chrome the disabling/enabling of form elements does not work at all - see bug 625730.

Comment 1 Partha Aji 2010-09-09 22:22:11 UTC
Should be fixed as of 274050f8f4c5479395055c27b6faa851d14a4b13. Need spacewalk-java-1.2.36-1 or later to test.

Comment 2 Pavel Novotny 2010-09-10 13:03:36 UTC
Verified.
Tested with package: spacewalk-java-1.2.38-1.el5.noarch.rpm

Comment 4 Clifford Perry 2010-10-28 14:57:24 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.